#!/usr/bin/python

import texttemplate

# Define template text

text = '''--------------------------------------------------------------
Welcome to {con:title/}

Features:
{rep:item} - {con:description/}{/rep:item}

--------------------------------------------------------------'''

# Compile template object

template = texttemplate.Template(text)
# print template.structure() # for diagnostic use

# Define template controller

def renderItem(node, description):
	node.description.content = description

def renderTemplate(title, descriptions):
	t = template.clone()
	t.title.content = title
	t.item.repeat(renderItem, descriptions)
	return t.render()

# Render template

title = 'Balderdash Pro 5'
descriptions = ['New Extended Fubbilizer', 'Updated Super Knobitzer', 'Enhanced Virbiled Noxinator']
print renderTemplate(title, descriptions)
